Skip to main content
GET
Retrieve an account.

Authorizations

x-api-key
string
header
required

LedgerUp API Key.

Path Parameters

account_id
string
required

Resource identifier. LedgerUp account identifier.

Pattern: ^account_[0-9a-f]{32}$
Example:

"account_0194f4e3a2b77c6aa91c4f6b4db2a980"

Response

Resource found.

id
string
required

LedgerUp account identifier.

Pattern: ^account_[0-9a-f]{32}$
Example:

"account_0194f4e3a2b77c6aa91c4f6b4db2a980"

external_id
string | null
required

Optional caller-supplied external identifier. Maximum 256 Unicode scalar values.

Maximum string length: 256
Example:

"crm_acme_001"

ledgerup_customer_id
string<uuid> | null
required

Optional LedgerUp billing customer UUID.

Example:

"0194f4e3-a2b7-7c6a-a91c-4f6b4db2a980"

name
string
required

Human-readable name. Maximum 256 Unicode scalar values.

Maximum string length: 256
Example:

"Acme"

description
string | null
required

Optional description. Maximum 2048 Unicode scalar values.

Maximum string length: 2048
Example:

"Usage tracked for Acme."

created_at
integer<int64>
required

Unix timestamp in seconds.

Example:

1767225600

updated_at
integer<int64>
required

Unix timestamp in seconds.

Example:

1767225600

archived_at
integer<int64> | null
required

Unix timestamp in seconds.

Example:

1767225600